List invoices
curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"invoice_number": "<string>",
"type": "invoice",
"order_id": "<string>",
"related_invoice_id": "<string>",
"status": "paid",
"owner": "<string>",
"invoice_date": "2023-11-07T05:31:56Z",
"invoice_due": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"changed": "2023-11-07T05:31:56Z",
"company": "<string>",
"total": 123,
"address": {
"country": "<string>",
"name_line": "<string>",
"premise": "<string>",
"sub_premise": "<string>",
"thoroughfare": "<string>",
"administrative_area": "<string>",
"sub_administrative_area": "<string>",
"locality": "<string>",
"dependent_locality": "<string>",
"postal_code": "<string>"
},
"notes": "<string>",
"invoice_pdf": {
"url": "<string>",
"status": "ready"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Invoices
List invoices
deprecated
Retrieves a list of invoices for the specified organization.
GET
/
organizations
/
{organization_id}
/
invoices
List invoices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Prefix with name= to retrieve the organization by name instead.
Query Parameters
The status of the invoice.
Available options:
paid, charged_off, pending, refunded, canceled, refund_pending The invoice type. Use invoice for standard invoices, credit_memo for refund/credit invoices.
Available options:
credit_memo, invoice The order id of Invoice.
Page to be displayed. Defaults to 1.
Response
OK
Show child attributes
Show child attributes
Last modified on June 16, 2026
Was this page helpful?